%define name	icu
%define version 3.2
%define release	2mdk

%define major 32
%define lib_name %mklibname %{name} %{major}

Summary:	International Components for Unicode.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-%{version}-docs.tar.bz2
Patch0:		%{name}-%{version}-patch.bz2
URL:		http://www-306.ibm.com/software/globalization/icu/index.jsp
BuildRoot:	%_tmppath/%{name}-%{version}-root
Requires:	%{lib_name} = %{version}-%{release}

%description
The International Components for Unicode (ICU) libraries provide robust and
full-featured Unicode services on a wide variety of platforms. ICU supports
the most current version of the Unicode standard, and they provide support
for supplementary Unicode characters (needed for GB 18030 repertoire support).

As computing environments become more heterogeneous, software portability
becomes more important. ICU lets you produce the same results across all the
various platforms you support, without sacrificing performance. It offers
great flexibility to extend and customize the supplied services, which 
include:

  * Text: Unicode text handling, full character properties and character set
    conversions (500+ codepages)
  * Analysis: Unicode regular expressions; full Unicode sets; character, word
    and line boundaries
  * Comparison: Language sensitive collation and searching
  * Transformations: normalization, upper/lowercase, script transliterations 
    (50+ pairs)
  * Locales: Comprehensive locale data (230+) and resource bundle architecture
  * Complex Text Layout: Arabic, Hebrew, Indic and Thai
  * Time: Multi-calendar and time zone
  * Formatting and Parsing: dates, times, numbers, currencies, messages and   
    rule based
                    
%package doc
Summary:	Documentation for the International Components for Unicode.
Group:		System/Libraries

%description doc
The International Components for Unicode (ICU) libraries provide robust and
full-featured Unicode services on a wide variety of platforms. ICU supports
the most current version of the Unicode standard, and they provide support
for supplementary Unicode characters (needed for GB 18030 repertoire support).

As computing environments become more heterogeneous, software portability
becomes more important. ICU lets you produce the same results across all the
various platforms you support, without sacrificing performance. It offers
great flexibility to extend and customize the supplied services, which 
include:

  * Text: Unicode text handling, full character properties and character set
    conversions (500+ codepages)
  * Analysis: Unicode regular expressions; full Unicode sets; character, word
    and line boundaries
  * Comparison: Language sensitive collation and searching
  * Transformations: normalization, upper/lowercase, script transliterations 
    (50+ pairs)
  * Locales: Comprehensive locale data (230+) and resource bundle architecture
  * Complex Text Layout: Arabic, Hebrew, Indic and Thai
  * Time: Multi-calendar and time zone
  * Formatting and Parsing: dates, times, numbers, currencies, messages and   
    rule based
                    

%package -n %lib_name
Summary:  Libraries for the International Components for Unicode.
Group:	  System/Libraries

%description -n %lib_name
The International Components for Unicode (ICU) libraries provide robust and
full-featured Unicode services on a wide variety of platforms. ICU supports
the most current version of the Unicode standard, and they provide support
for supplementary Unicode characters (needed for GB 18030 repertoire support).

As computing environments become more heterogeneous, software portability
becomes more important. ICU lets you produce the same results across all the
various platforms you support, without sacrificing performance. It offers
great flexibility to extend and customize the supplied services, which 
include:

  * Text: Unicode text handling, full character properties and character set
    conversions (500+ codepages)
  * Analysis: Unicode regular expressions; full Unicode sets; character, word
    and line boundaries
  * Comparison: Language sensitive collation and searching
  * Transformations: normalization, upper/lowercase, script transliterations 
    (50+ pairs)
  * Locales: Comprehensive locale data (230+) and resource bundle architecture
  * Complex Text Layout: Arabic, Hebrew, Indic and Thai
  * Time: Multi-calendar and time zone
  * Formatting and Parsing: dates, times, numbers, currencies, messages and   
    rule based
                    

%package -n %lib_name-devel
Summary:  Tools required to embed the International Components for Unicode.
Group:	  Development/Other
PreReq:	  %{name} = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Provides: %{name}%{major}-devel = %{version}-%{release}

%description -n %lib_name-devel
The International Components for Unicode (ICU) libraries provide robust and
full-featured Unicode services on a wide variety of platforms. ICU supports
the most current version of the Unicode standard, and they provide support
for supplementary Unicode characters (needed for GB 18030 repertoire support).

As computing environments become more heterogeneous, software portability
becomes more important. ICU lets you produce the same results across all the
various platforms you support, without sacrificing performance. It offers
great flexibility to extend and customize the supplied services, which 
include:

  * Text: Unicode text handling, full character properties and character set
    conversions (500+ codepages)
  * Analysis: Unicode regular expressions; full Unicode sets; character, word
    and line boundaries
  * Comparison: Language sensitive collation and searching
  * Transformations: normalization, upper/lowercase, script transliterations 
    (50+ pairs)
  * Locales: Comprehensive locale data (230+) and resource bundle architecture
  * Complex Text Layout: Arabic, Hebrew, Indic and Thai
  * Time: Multi-calendar and time zone
  * Formatting and Parsing: dates, times, numbers, currencies, messages and   
    rule based
                    

%prep
%setup -q -n %{name}
%patch0 -p0 -b .patch_orig
%__mkdir_p docs
cd docs
%__tar xjf %SOURCE1

%build
cd source
chmod +x runConfigureICU configure install-sh
CFLAGS="%optflags" CXXFLAGS="%optflags" ./runConfigureICU LinuxRedHat \
    --prefix=%{_prefix} \
    --sysconfdir=%{_sysconfdir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}

make
## make check

%install
rm -rf %{buildroot}
cd source
%makeinstall

%clean
rm -rf %{buildroot}

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%files
%defattr(-, root, root)
#%config(noreplace) %_sysconfdir/*
%_bindir/*
%_sbindir/*
%dir %_datadir/%name/%version/config
%dir %_datadir/%name/%version
%dir %_datadir/%name
%_datadir/%name/*

%files doc
%defattr(-, root, root)
%doc readme.html docs/*
%_mandir/man1/*
%_mandir/man8/*

%files -n %lib_name
%defattr(-, root, root)
%_libdir/lib%{name}*.so.*

%files -n %lib_name-devel
%defattr(-, root, root)
%_libdir/lib%{name}*.so
%dir %_includedir/layout
%dir %_includedir/unicode
%_includedir/layout/*
%_includedir/unicode/*
%dir %_libdir/%name/%version
%dir %_libdir/%name
%_libdir/%name/*
%dir %_datadir/%name
%_datadir/%name/*

%changelog
* Tue May 10 2005 Arnaud de Lorbeau <devel@mandriva.com> 3.2-2mdk
- Provides icu32-devel

* Tue May 10 2005 Arnaud de Lorbeau <devel@mandriva.com> 3.2-1mdk
- 3.2

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.d01-3mdk
- rebuild

* Fri Jun 04 2004 Marcel Pol <mpol@mandrake.org> 2.8.d01-2mdk
- rebuild

* Wed Dec 17 2003 Marcel Pol <mpol@mandrake.org> 2.8.d01-1mdk
- major is 28
- From Quel Qun <kelk1@hotmail.com>
    - Mandrake package.
